# -*- coding: ISO-8859-2 -*-

# http://ygingras.net/yould
# http://www.pixy.cz/pixylophone/2004_01_archiv.html#1074036428
# http://www.fczbkk.com/js/rafbug/
# http://www.herodes.8m.com/dadau.htm
# http://generator.m-core.net/
# http://www.fi.muni.cz/~xznamen/turkey/
# http://www.wellstyled.com/tools/dummy-cz/
# http://lorem-ipsum.info/

import random, os

__all__ = ['genName', 'genWord', 'genPassword', 'genSentence', 'genText']

def genName():
    global sample_names, sample_surnames
    try :
        sample_names
    except NameError :
        fn = os.path.join(os.path.dirname(__file__),'res','sample_names.txt')
        fs = os.path.join(os.path.dirname(__file__),'res','sample_surnames.txt')
        sample_names = unicode(open(fn).read(), 'utf-8').split()
        sample_surnames = unicode(open(fs).read(), 'utf-8').split()
    return random.choice(sample_names) + ' ' + random.choice(sample_surnames)


def genWord():
    global sample_words
    try :
        sample_words
    except NameError :
        fn = os.path.join(os.path.dirname(__file__),'res','sample_words.txt')
        sample_words = [unicode(w.strip(),'iso-8859-2') for w in open(fn)]
    return random.choice(sample_words)


def genPassword(minLength=6):
    consonant = 'bcdfghjkmnpqrstvwxBCDFGHJKMNPQRSTVWX'
    vowel = ('a','e','i','u','au','eu')
    pw = ''
    while len(pw) < minLength :
        pw += random.choice(consonant) + random.choice(vowel)
    return pw


def genSentence(words=5):
    sentence = [genWord() for i in xrange(words)]
    sentence[0] = sentence[0].capitalize()
    return u"%s." % (" ".join(sentence))



def genText(sentences=3):
    return u" ".join([
        genSentence(random.randint(6,20)) for i in xrange(sentences)
    ])



if __name__ == '__main__' :
    import textwrap
    print
    print 'sample text'
    print '-----------'
    print
    for l in textwrap.wrap(genText(4), 72):
        print l
    print
    print 'sample names'
    print '------------'
    print
    for i in xrange(10) :
        print genName()
    print
    print 'sample password'
    print '---------------'
    print
    for i in xrange(4):
        print genPassword()
