import unittest
from lib4.passwords import *

class TestPasswords(unittest.TestCase):

    def test(self):
        for method in 'PLAIN', 'CRYPT', 'SHA', 'SSHA', 'MD5', 'SMD5', 'NTHASH':
            for plain, result in [
                    ('', False), ('foo', True), ('sdfsfwef $%#$ 89430', True)
            ]:
                enc = crypt_password(plain=plain, method=method)
                assert check_password(enc, plain) == result, (method, plain)
