import strop


class cstocs :

    encoding_maps =  {
        "ascii": "AAAAACCCDDEEEEIILLLNNOOOORRSSSTTUUUUYZZZaaaaacccddeeeeiilllnnoooorrsssttuuuuyzzz/.\"\"-'' ",
        "iso-8859-1": "AACCDEELLLNNORRSSSTTUUZZZaaccdeelllnnorrsssttuuzzz.\"\"-",
        "iso-8859-2": "ġţݮ峵๺.\"\"-''",
        "windows-1250": "ĥţݎ峾",
        "x-kam-cs": "AAACCDEEILNOSSTUUZZaaaccdeeilnosstuzz.\"\"-'' ",
        "cp852": "Ǝѐӷב⊙渗ǄЂء墓筘짫.\"\"-",
        "csn_369103": "AACCDEEILNOSSTUZZaaaccdeeilnosstuzz/.\"\"-'' ",
        "x-mac-ce": "ACDEI̅STacdei˗Κst",
        }

    def __init__ (self, in_code, out_code) :
        inmap = self.encoding_maps[in_code]
        outmap = self.encoding_maps[out_code]
        j = 0
        while(1):
            if (j >= len(inmap)): break
            if (ord(inmap[j]) < 128):
                if (j == 0):
                    inmap = inmap[1:]
                    outmap = outmap[1:]
                else:
                    inmap = inmap[:j] + inmap[j+1:]
                    outmap = outmap[:j] + outmap[j+1:]
            else:
                j = j + 1
        self.map = strop.maketrans(inmap, outmap)

    def __call__ (self, text) :
        return text.translate(self.map)
