# http://dalkescientific.com/Python/python4ply.html
# http://dalkescientific.com/writings/diary/archive/2007/10/30/antlr_mw.html
# http://www.dalkescientific.com/writings/diary/archive/2007/11/01/antlr_rules.html
# http://www.nedbatchelder.com/text/python-parsers.html
# http://theory.stanford.edu/~amitp/Yapps/
# http://www.antlr.org/ # generuje python
# http://code.google.com/p/pym/ (Matlab to Python pres Antlr)
# http://www.dabeaz.com/ply/
# http://online.effbot.org/2005_11_01_archive.htm#simple-parser-2
# http://pyconstruct.sourceforge.net
# http://cheeseshop.python.org/pypi/reflex/
# http://preview.tinyurl.com/yp4v48 (pyparsing book)


import re, sys


str_search = re.compile("(P<sstart>(?:'|\")).*?(?!\\\\)(P=sstart)")
str_search = re.compile(r"(P<sstart>').*?(?<!\\)'")
str_search = re.compile(r"((?P<sstart>'''|\"\"\"|'|\").*?(?<!\\)(?P=sstart))")

str_search = re.compile(r"('[^'\\]*(?:\\.[^'\\]*)*')")
str_search = re.compile(r"('[^\\]*?(?:\\.[^\\]*?)*?')")


# http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/475109

PY_STRING_LITERAL_RE = (r"""
[uU]?[rR]?
  (?:              # Single-quote (') strings
  '''(?:                 # Tripple-quoted can contain...
      [^']               | # a non-quote
      \\'                | # a backslashed quote
      '{1,2}(?!')          # one or two quotes
    )*''' |
  '(?:                   # Non-tripple quoted can contain...
     [^']                | # a non-quote
     \\'                   # a backslashded quote
   )*'(?!') | """ +
r'''               # Double-quote (") strings
  """(?:                 # Tripple-quoted can contain...
      [^"]               | # a non-quote
      \\"                | # a backslashed single
      "{1,2}(?!")          # one or two quotes
    )*""" |
  "(?:                   # Non-tripple quoted can contain...
     [^"]                | # a non-quote
     \\"                   # a backslashded quote
   )*"(?!")
)''')


# Parsuje zacatek retezce jako
str_search = re.compile(
    r"[uUrR]{0,2}(?P<sstart>(?:'''|\"\"\"|'|\"))[^\\]*?(?:\\.[^\\]*?)*?(?P=sstart)"
)



#for i in xrange(1000000) :
for i in xrange(1) :
    m = str_search.search(r"xxUR'''\s\s\%s\s'''xxu'ss\''xx's\s'" % "'")
if m :
    print m.span(0)
    print m.group(0)
m = str_search.split(r"xx'''ss'''xxu'ss\''xx's\s'")
if m :
    print " + ".join(m)
else :
    print "nic"
