__all__ = ['B2KMG']


def B2KMG (b, rounding=2) :
    if b == 0 :
        return "0 B"
    if b > 1073741824 :
        return "%s GB" % round(float(b)/1073741824.0, rounding)
    elif b > 1048576 :
        return "%s MB" % round(float(b)/1048576.0, rounding)
    elif b > 1024 :
        return "%s KB" % round(float(b)/1024.0, rounding)
    else :
        return "%s B" % str(b)
